Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## local.tomas.docsite.store
Class FTPStoreFactory

    java.lang.Object
      local.tomas.docsite.store.FTPStoreFactory

All Implemented Interfaces:
  DocsiteSourceFactory, DocsiteTargetFactory

    public class FTPStoreFactory

extends java.lang.Object
implements DocsiteTargetFactory, DocsiteSourceFactory

Field Summary
`static java.lang.String` | `PREFIX`

Constructor Summary
`FTPStoreFactory()`

Method Summary
`static java.lang.String` | `formatURL(FTPStore.Options options)`
`boolean` | `handlesUrl(java.lang.String url)`
`DocsiteSource` | `openSource(java.lang.String url)`
`DocsiteTarget` | `openTarget(java.lang.String url)`
`static FTPStore.Options` | `parse(java.lang.String url)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PREFIX

    public static final java.lang.String PREFIX

See Also:
  Constant Field Values

Constructor Detail

### FTPStoreFactory

    public FTPStoreFactory()

Method Detail

### handlesUrl

    public boolean handlesUrl(java.lang.String url)

  Specified by:
    `handlesUrl` in interface `DocsiteSourceFactory`
  Specified by:
    `handlesUrl` in interface `DocsiteTargetFactory`

### parse

    public static FTPStore.Options parse(java.lang.String url)

### formatURL

    public static java.lang.String formatURL(FTPStore.Options options)

### openTarget

    public DocsiteTarget openTarget(java.lang.String url)
                             throws java.lang.Exception

  Specified by:
    `openTarget` in interface `DocsiteTargetFactory`
  Throws:
    `java.lang.Exception`

### openSource

    public DocsiteSource openSource(java.lang.String url)
                             throws java.lang.Exception

  Specified by:
    `openSource` in interface `DocsiteSourceFactory`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Tomas Teubner. All Rights Reserved.